//Copyright 1998 President and Fellows of Harvard University
//motifstats.h

#ifndef _motifstats
#define _motifstats
#include "standard.h"

class MotifStats{
  string ace_file;
  int num_motifs;
  string *scn_file;
  string master_file;
  string orf_file;
  bool xoption;
  int num_all;
  int num_input;
  string *input_seq;
  double *group_spec;
  double *pos_bias;
  int *pos_bias_pos;
  int *pb_vec;
  int pb_range;//600
  int pb_bin;//50
 public:
  MotifStats(const char* filename);
  ~MotifStats();
  void calc_spec1();
  void calc_spec2();
  void calc_pb1();
  void calc_pb2();
  int compare_to_input(vector<string>& a);
  void output(ostream& fout);
};

void cMotifStats(int argc, char* argv[]);
double calc_pos_bias(int m, int t, int w, int s);

#endif
